# irrklang::ICapturedAudioDataReceiver Class Reference

Interface to be implemented by the user if access to the recorded audio data is needed. More...

`#include <ik_IAudioRecorder.h>`

Inheritance diagram for irrklang::ICapturedAudioDataReceiver:

List of all members.

## Public Member Functions
virtual void | OnReceiveAudioDataStreamChunk (unsigned char *audioData, unsigned long lengthInBytes)=0
| Gets called once for each captured audio data chunk.

## Detailed Description

Interface to be implemented by the user if access to the recorded audio data is needed.

Is used as parameter in IAudioRecorder::startRecordingCustomHandledAudio.

## Member Function Documentation

virtual void irrklang::ICapturedAudioDataReceiver::OnReceiveAudioDataStreamChunk | ( | unsigned char * | audioData,
|  | unsigned long | lengthInBytes |
| ) |  |  | `[pure virtual]`

Gets called once for each captured audio data chunk.

See IAudioRecorder::startRecordingCustomHandledAudio for details.

Parameters:

  | audioData,: | Pointer to a part of the recorded audio data
  | lengthInBytes,: | Amount of bytes in the audioData buffer.

The documentation for this class was generated from the following file:

- ik_IAudioRecorder.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)